declare const _default: {
    PSBT_MAGIC_BYTES: string;
    PSBT_GLOBAL_KEYS: [string, ...string[]];
    PSBT_INPUT_KEYS: [string, ...string[]];
    PSBT_OUTPUT_KEYS: [string, ...string[]];
    PSBT_GLOBAL_TYPE_MAP: {
        readonly 0: "UNSIGNED_TX";
        readonly 1: "XPUB";
        readonly 2: "TX_VERSION";
        readonly 3: "FALLBACK_LOCKTIME";
        readonly 4: "INPUT_COUNT";
        readonly 5: "OUTPUT_COUNT";
        readonly 6: "TX_MODIFIABLE";
        readonly 251: "VERSION";
    };
    PSBT_INPUT_TYPE_MAP: {
        readonly 0: "NON_WITNESS_UTXO";
        readonly 1: "WITNESS_UTXO";
        readonly 2: "PARTIAL_SIG";
        readonly 3: "SIGHASH_TYPE";
        readonly 4: "REDEEM_SCRIPT";
        readonly 5: "WITNESS_SCRIPT";
        readonly 6: "BIP32_DERIVATION";
        readonly 7: "FINAL_SCRIPTSIG";
        readonly 8: "FINAL_SCRIPTWITNESS";
        readonly 9: "PR_COMMITMENT";
        readonly 10: "RIPEMD160";
        readonly 11: "SHA256";
        readonly 12: "HASH160";
        readonly 13: "HASH256";
        readonly 14: "PREVIOUS_TXID";
        readonly 15: "OUTPUT_INDEX";
        readonly 16: "SEQUENCE";
        readonly 17: "REQUIRED_TIME_LOCKTIME";
        readonly 18: "REQUIRED_HEIGHT_LOCKTIME";
        readonly 19: "TAP_KEY_SIG";
        readonly 20: "TAP_SCRIPT_SIG";
        readonly 21: "TAP_LEAF_SCRIPT";
        readonly 22: "TAP_BIP32_DERIVATION";
        readonly 23: "TAP_INTERNAL_KEY";
        readonly 24: "TAP_MERKLE_ROOT";
    };
    PSBT_OUTPUT_TYPE_MAP: {
        readonly 0: "REDEEM_SCRIPT";
        readonly 1: "WITNESS_SCRIPT";
        readonly 2: "BIP32_DERIVATION";
        readonly 3: "AMOUNT";
        readonly 4: "SCRIPT";
        readonly 5: "TAP_INTERNAL_KEY";
        readonly 6: "TAP_TREE";
        readonly 7: "TAP_BIP32_DERIVATION";
    };
};
export default _default;
